@import url(../../global/style.css);

:root {
    --cor-principal: #9d070d;
    --cor-escura: #312f30;
    --cor-clara: #f4f4f4;
}

main {
    padding: 50px 10% 0 10%;
}

.links {
    ul {
        gap: 5px;
        display: flex;

        li {
            padding: 5px;
            border-right: 1px solid var(--cor-principal);
            border-left: 1px solid var(--cor-principal);

            a {
                color: var(--cor-principal);
            }
        }

        li:hover {
            transition: 0.5s;
            background-color: var(--cor-principal);

            a {
                color: var(--cor-clara);
            }
        }
    }
}

h1 {
    font-weight: 700;
    font-size: 1.3vw;
    padding: 50px 0 0px 0;
}


.list {
    text-align: start;

    h2 {
        padding-top: 50px;
        font-size: 1.3vw;
        font-weight: 700;
        color: var(--cor-principal);
        border-bottom: 1px solid var(--cor-principal);
    }

    ul {
        width: 100%;
        padding-top: 50px;
        display: flex;
        align-items: center;
        justify-content: space-between;

        .list-card {
            padding: 15px;
            width: 18vw;
            height: max-content;
            background-color: transparent;
            border: 1px solid var(--cor-principal);

            a {

                display: flex;
                flex-direction: column;
                align-items: center;

                h3 {
                    font-size: 1vw;
                    padding-top: 15px;
                }

                img {
                    width: 80%;
                }

                .list-card-link {
                    display: flex;
                    align-items: center;
                    padding-top: 15px;
                    gap: 5px;

                    p {
                        font-size: 0.7vw;
                        font-weight: 700;
                        color: var(--cor-principal);
                    }

                    svg {
                        width: 0.6vw;
                    }
                }
            }
        }

        .list-card:hover {
            width: 20vw;
            transition: 0.2s;
        }
    }
}

@media screen and (max-width: 800px) {
    main {
        padding: 30px 3% 0 3%;
    }

    .links {
        ul {

            li {


                a {
                    font-size: 10px;
                }
            }
        }
    }

    h1 {
        padding: 30px 0 0 0;
        font-size: 4vw;
    }

    .list {
        text-align: start;

        h2 {
            padding-top: 30px;
            font-size: 15px;
        }

        ul {
            padding-top: 0;
            flex-direction: column;

            .list-card {
                margin-top: 30px;
                padding: 5px;
                width: 40vw;

                a {

                    h3 {
                        font-size: 10px;
                        padding-top: 5px;
                    }

                    img {
                        width: 90%;
                    }

                    .list-card-link {

                        p {
                            font-size: 7px;
                        }

                        svg {
                            width: 7px;
                        }
                    }
                }
            }

            .list-card:hover {
                width: 45vw;
                transition: 0.2s;
            }
        }
    }
}